// @ts-ignore

/* eslint-disable */
import { request } from 'umi';
export async function getPage(params, options) {
  return request('/kitchen/api/receivingNote/getPage', {
    method: 'POST',
    data: params,
  });
}
export async function getEntryPage(params, options) {
  debugger
  return request('/kitchen/api/receivingNote/getEntryPage', {
    method: 'POST',
    params: params,
  });
}

export async function getEntry(params, options) {
  return request(`/kitchen/api/receivingNote/getEntryPage?id=${params}`, {
    method: 'POST',
  });
}


export async function approved(params, options) {
  return request('/kitchen/api/receivingNote/approved', {
    method: 'POST',
    params: params,
  });
}
export async function add(params, options) {
  return request('/kitchen/api/receivingNote/add', {
    method: 'POST',
    data: params,
  });
}
export async function getTypeList(params, options) {
  return request('/kitchen/api/product-type/type-list', {
    method: 'GET',
    params: {
      ...params,
    },
  });
}
/**获取物料单位 */
export async function getUintList(params, options) {
  return request('/kitchen/api/unit/uint-list', {
    method: 'GET',
    params: {
      ...params,
    },
  });
}

//获取商品信息
export async function getproductpage(data) {
  return request('/kitchen/api/Product/GetPage', {
      method: 'POST',
      data: data,
  });
}

//获取采购单列表
export async function getDeliveryEntry(data) {
  return request(`/kitchen/api/PurchaseOrder/delivery-entry-list/${data}`, {
      method: 'get',
  });
}

